# Class OutputFormatParameter

java.lang.Object
uk.ac.starlink.task.Parameter<String>
uk.ac.starlink.task.StringParameter
uk.ac.starlink.ttools.task.OutputFormatParameter

All Implemented Interfaces:
  `ExtraParameter`

Direct Known Subclasses:
  `MultiOutputFormatParameter`

public class OutputFormatParameter extends uk.ac.starlink.task.StringParameter implements ExtraParameter
Parameter to hold the format of a table for output.

Since:
  15 Aug 2005
Author:
  Mark Taylor

## Field Summary

### Fields inherited from class uk.ac.starlink.task.Parameter

`BY_NAME`

## Constructor Summary

Constructors
Constructor
Description
`OutputFormatParameter(String name)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getExtraUsage(TableEnvironment env)`
Returns an extended usage message.

### Methods inherited from class uk.ac.starlink.task.StringParameter

`stringToObject`

### Methods inherited from class uk.ac.starlink.task.Parameter

`clearValue, getDescription, getName, getPosition, getPreferExplicit, getPrompt, getStringDefault, getUsage, getValueClass, isNullPermitted, objectToString, objectValue, setDescription, setDescription, setName, setNullPermitted, setPosition, setPreferExplicit, setPrompt, setStringDefault, setUsage, setValue, setValueFromObject, setValueFromString, stringValue, toArray, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### OutputFormatParameter

public OutputFormatParameter(String name)

## Method Details

### getExtraUsage

public String getExtraUsage(TableEnvironment env)
Description copied from interface: `ExtraParameter`
Returns an extended usage message. This should not repeat the content of the normal usage message. It should be preformatted, that is it should contain newlines to keep the line length down to less than 80 characters.

Specified by:
  `getExtraUsage` in interface `ExtraParameter`
Parameters:
  `env` - execution envrionment
Returns:
  extended usage message